# Interface MaintenanceInformation

All Known Implementing Classes:
  `DefaultMaintenanceInformation`

@UML(identifier="MD_MaintenanceInformation", specification=ISO_19115) public interface MaintenanceInformation
Information about the scope and frequency of updating.

Since:
  2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<? extends ResponsibleParty>`
  `getContacts()`
  Identification of, and means of communicating with, person(s) and organization(s) with responsibility for maintaining the metadata.
  `Date`
  `getDateOfNextUpdate()`
  Scheduled revision date for resource.
  `MaintenanceFrequency`
  `getMaintenanceAndUpdateFrequency()`
  Frequency with which changes and additions are made to the resource after the initial resource is completed.
  `Collection<? extends InternationalString>`
  `getMaintenanceNotes()`
  Information regarding specific requirements for maintaining the resource.
  `Collection<? extends ScopeDescription>`
  `getUpdateScopeDescriptions()`
  Additional information about the range or extent of the resource.
  `Collection<ScopeCode>`
  `getUpdateScopes()`
  Scope of data to which maintenance is applied.
  `PeriodDuration`
  `getUserDefinedMaintenanceFrequency()`
  Maintenance period other than those defined.

- ## Method Details

  - ### getMaintenanceAndUpdateFrequency

    @UML(identifier="maintenanceAndUpdateFrequency", obligation=MANDATORY, specification=ISO_19115) MaintenanceFrequency getMaintenanceAndUpdateFrequency()
    Frequency with which changes and additions are made to the resource after the initial resource is completed.
    Returns:
      Frequency with which changes and additions are made to the resource.

  - ### getDateOfNextUpdate

    @UML(identifier="dateOfNextUpdate", obligation=OPTIONAL, specification=ISO_19115) Date getDateOfNextUpdate()
    Scheduled revision date for resource.

    Warning: The return type of this method may change in GeoAPI 3.1 release. It may be replaced by a type matching more closely either ISO 19108 (Temporal Schema) or ISO 19103.

    Returns:
      Scheduled revision date, or `null`.

  - ### getUserDefinedMaintenanceFrequency

    @UML(identifier="userDefinedMaintenanceFrequency", obligation=OPTIONAL, specification=ISO_19115) PeriodDuration getUserDefinedMaintenanceFrequency()
    Maintenance period other than those defined.
    Returns:
      The Maintenance period, or `null`.

  - ### getUpdateScopes

    @UML(identifier="updateScope", obligation=OPTIONAL, specification=ISO_19115) Collection<ScopeCode> getUpdateScopes()
    Scope of data to which maintenance is applied.
    Returns:
      Scope of data to which maintenance is applied.

  - ### getUpdateScopeDescriptions

    @UML(identifier="updateScopeDescription", obligation=OPTIONAL, specification=ISO_19115) Collection<? extends ScopeDescription> getUpdateScopeDescriptions()
    Additional information about the range or extent of the resource.
    Returns:
      Additional information about the range or extent of the resource.

  - ### getMaintenanceNotes

    @UML(identifier="maintenanceNote", obligation=OPTIONAL, specification=ISO_19115) Collection<? extends InternationalString> getMaintenanceNotes()
    Information regarding specific requirements for maintaining the resource.
    Returns:
      Information regarding specific requirements for maintaining the resource.
    Since:
      2.1

  - ### getContacts

    @UML(identifier="contact", obligation=OPTIONAL, specification=ISO_19115) Collection<? extends ResponsibleParty> getContacts()
    Identification of, and means of communicating with, person(s) and organization(s) with responsibility for maintaining the metadata.
    Returns:
      Means of communicating with person(s) and organization(s) with responsibility for maintaining the metadata.
    Since:
      2.1